Subject: Re: [PATCH net-next v3 0/3] Minor cleanups to skb frag ref/unref

From: Jakub Kicinski <[email-masked]>
Date: Tue, 2 Apr 2024 19:10:29 -0700

On Mon,  1 Apr 2024 14:50:36 -0700 Mina Almasry wrote:
> This series is largely motivated by a recent discussion where there was
> some confusion on how to properly ref/unref pp pages vs non pp pages:
> 
> https://lore.kernel.org/netdev/[email-masked]/T/#t
> 
> There is some subtely there because pp uses page->pp_ref_count for
> refcounting, while non-pp uses get_page()/put_page() for ref counting.
> Getting the refcounting pairs wrong can lead to kernel crash.
> 
> Additionally currently it may not be obvious to skb users unaware of
> page pool internals how to properly acquire a ref on a pp frag. It
> requires checking of skb->pp_recycle & is_pp_page() to make the correct
> calls and may require some handling at the call site aware of arguable pp
> internals.

I concluded that Olek's series as good to go in, so you gotta rebase.
-- 
pw-bot: cr